Create program transaction category

Create a program transaction category. Program transaction categories are used to group transaction types and set properties for the group. Transaction types, in combination with processing codes, are used to define how financial operations are implemented on the Pismo platform.

For more information, refer to Using configurable entities and Transaction category structure.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
float
required

Interest rate used for the accrual type OVERDUE when the statement is past the due date and the MAD has not been paid. (The account is overdue.)

By default, this is a monthly rate, so the Pismo platform divides it by 30 before applying it on a daily basis. For more information, refer to Changing the interest rate period.

float
required

Fine rate. Charged once per transaction when transaction is due.

float
required

Minimum value to calculate the minimum amount due (MAD). This field is a percent, so 1.0 is 100%. Allowable values are between 0 and 1.

float
required

Interest rate used for the accrual type REFINANCING if the statement due date has passed and the MAD was not paid. Note: If this value is null, refinancing_rate_after_due_date is used instead.

By default, this is a monthly rate, so the Pismo platform divides it by 30 before applying it on a daily basis. For more information, refer to Changing the interest rate period.

float
required

Interest rate for the accrual type REFINANCING if the statement due date is past, but the account is not overdue. (That is, the MAD was paid.)

By default, this is a monthly rate, so the Pismo platform divides it by 30 before applying it on a daily basis. For more information, refer to Changing the interest rate period.

string
length ≤ 50

Transaction category description

int32

Indicates which transaction is discharged first. 1 is the highest in the hierarchy.

int32

An alternative form of discharge priority for debit transactions. This field is only used if the secondary_charge_order parameter is active at the account level. In the discharge flow, the Pismo platform checks to see if secondary_charge_order is set for the account and is positive. If so, then the platform ignores the charge_order field and uses the secondary_charge_order field instead.

Use Update account parameter to set this parameter. The endpoint requires the ID of the parameter. Use List account parameters to find the ID. For example, if you want the secondary_charge_order field to be used for transactions on the account with account ID 1234, and the ID for the parameter is 108, then you should call the Update account parameter endpoint with accountId = 1234, parameterId = 108, and value = 1.

Headers
string
required

Account token, not a regular access token. Account tokens are encoded with an account ID. Tokens can expire quickly, which can result in an Unauthorized message.

Responses

Language
Credentials
Bearer
Account JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json